This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 550494 - "FAIL: misc/selinux" from %check in Rawhide (when rebuilt as root)
"FAIL: misc/selinux" from %check in Rawhide (when rebuilt as root)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-25 11:11 EST by Robert Scheck
Modified: 2009-12-27 06:41 EST (History)
3 users (show)

See Also:
Fixed In Version: coreutils-8.2-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 06:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-12-25 11:11:25 EST
Description of problem:
When I rebuild coreutils-8.2-4 on my local system without mock (as root),
then tests/misc/selinux fails. The problem is, that this test is somehow
only performed with root permissions, so the test never is executed within
mock (and never will fail there).

Version-Release number of selected component (if applicable):
coreutils-8.2-4

How reproducible:
Everytime, see above and below.

Actual results:
"FAIL: misc/selinux" from %check in Rawhide (when rebuilt as root)

Expected results:
Working misc/selinux (even when rebuilt as root)

Additional info:
+ cp --version
cp (GNU coreutils) 8.2
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mv --version
mv (GNU coreutils) 8.2
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/usr/src/rpm/BUILD/coreutils-8.2/tests
+++ this_test_
+++ echo ././cp/cp-mv-enotsup-xattr
+++ sed 's,.*/,,'
++ this_test=cp-mv-enotsup-xattr
+++ /usr/src/rpm/BUILD/coreutils-8.2/src/mktemp -d --tmp=/usr/src/rpm/BUILD/coreutils-8.2/tests cu-cp-mv-enotsup-xattr.XXXXXXXXXX
++ t_=/usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD
++ diff --version
++ grep GNU
++ sanitize_path_
++ local 'saved_IFS=
'
++ IFS=:
++ set -- /usr/src/rpm/BUILD/coreutils-8.2/src /usr/kerberos/sbin /usr/kerberos/bin /usr/local/sbin /usr/local/bin /sbin /bin /usr/sbin /usr/bin /root/bin
++ IFS='
'
++ local d d1
++ local colon=
++ local new_path=
++ for d in '"$@"'
++ test -z /usr/src/rpm/BUILD/coreutils-8.2/src
++ d1=/usr/src/rpm/BUILD/coreutils-8.2/src
++ ls -d /usr/src/rpm/BUILD/coreutils-8.2/src/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src
++ colon=:
++ for d in '"$@"'
++ test -z /usr/kerberos/sbin
++ d1=/usr/kerberos/sbin
++ ls -d /usr/kerberos/sbin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/kerberos/bin
++ d1=/usr/kerberos/bin
++ ls -d /usr/kerberos/bin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/local/sbin
++ d1=/usr/local/sbin
++ ls -d /usr/local/sbin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/local/bin
++ d1=/usr/local/bin
++ ls -d /usr/local/bin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin
++ colon=:
++ for d in '"$@"'
++ test -z /sbin
++ d1=/sbin
++ ls -d /sbin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin
++ colon=:
++ for d in '"$@"'
++ test -z /bin
++ d1=/bin
++ ls -d /bin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/sbin
++ d1=/usr/sbin
++ ls -d /usr/sbin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/bin
++ d1=/usr/bin
++ ls -d /usr/bin/.
++ new_path=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
++ colon=:
++ for d in '"$@"'
++ test -z /root/bin
++ d1=/root/bin
++ ls -d /root/bin/.
++ PATH=/usr/src/rpm/BUILD/coreutils-8.2/src:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
++ export PATH
++ fail=0
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
++ id -g nobody
+ NON_ROOT_GROUP=99
++ pwd
+ cwd=/usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD
+ skip=0
+ dd if=/dev/zero of=blob bs=8192 count=200
+ mkdir mnt
+ mkfs -t ext2 -F blob
mke2fs 1.41.9 (22-Aug-2009)
warning: Unable to get device geometry for blobFilesystem label=
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
Stride=0 blocks, Stripe width=0 blocks
200 inodes, 1600 blocks
80 blocks (5.00%) reserved for the super user
First data block=1
Maximum filesystem blocks=1835008
1 block group
8192 blocks per group, 8192 fragments per group
200 inodes per group

Writing inode tables: done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 37 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
+ mount -oloop,nouser_xattr blob mnt
+ echo test
+ test -s mnt/f
+ test 0 = 1
+ xattr_name=user.foo
+ xattr_value=bar
+ xattr_pair='user.foo="bar"'
+ echo test
+ getfattr -d a
+ grep -F 'user.foo="bar"' out_a
+ setfattr -n user.foo -v bar a
setfattr: a: Operation not supported
+ skip_test_ 'failed to set xattr of file'
+ echo './cp/cp-mv-enotsup-xattr: skipping test: failed to set xattr of file'
+ head -1
+ echo './cp/cp-mv-enotsup-xattr: skipping test: failed to set xattr of file'
./cp/cp-mv-enotsup-xattr: skipping test: failed to set xattr of file
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ cd /
+ umount /usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD/mnt
+ cd /usr/src/rpm/BUILD/coreutils-8.2/tests
+ chmod -R u+rwx /usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD
+ rm -rf /usr/src/rpm/BUILD/coreutils-8.2/tests/cu-cp-mv-enotsup-xattr.w3QCaz66UD
+ exit 77

FAIL: misc/selinux (exit: 1)
Comment 1 Ondrej Vasik 2009-12-27 06:02:13 EST
Thanks for report, confirmed - log you sent is relevant to cp/cp-mv-enotsup-xattr test, not to misc/selinux test, but the check failure for root is reproducible for me, so no problem. It is harmless - caused by Red Hat only SELinux patch (diversity from upstream). Easy to fix, will fix it soon.
Comment 2 Ondrej Vasik 2009-12-27 06:41:17 EST
While playing with that report - mv/sticky-to-xpart was failing on my machine too - as setuidgid binary is missing on my machine. It should probably be added as skip possibility into that test, as daemontools are AFAIK not present in Fedora repos and they have to be installed manually. I'll ask upstream about it.
However - reported issue was fixed and built as coreutils-8.2-5.fc13 - Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.